#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation version
# 2.1 of the License.
#  
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#  
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#
# These are the perl values to be used
#
# Individual modules may override them
#
all:

OSVER=$(NSOS_ARCH)$(NSOS_RELEASE)

PERL5=perl

ifeq ($(ARCH), WINNT)
PERL5=perl
endif
ifeq ($(OSVER), OSF1V4.0D)
PERL5=/h/tortoise/export/share/builds/tools/alpha_dec_osf4.0/perl5.004/bin/perl
endif
ifeq ($(OSVER), OSF1V5.0)
PERL5=/h/tortoise/export/share/builds/tools/alpha_dec_osf4.0/perl5.004/bin/perl
endif
ifeq ($(OSVER), AIX4.2) 
PERL5=/u/robobld/nsperl/aix/nsperl
endif
ifeq ($(OSVER), AIX4.3) 
PERL5=/u/robobld/nsperl/aix/nsperl
endif
ifeq ($(OSVER), AIX4.1)
PERL5=/u/robobld/nsperl/aix/nsperl
endif
ifeq ($(OSVER), IRIX6.5)	
PERL5=/tools/ns-arch/soft/perl-5.004_04/run/default/mips_sgi_irix5.3/bin/perl5
endif
ifeq ($(OSVER), IRIX6.2)
PERL5=/tools/ns-arch/soft/perl-5.004_04/run/default/mips_sgi_irix5.3/bin/perl5
endif
ifeq ($(OSVER),SunOS5.6)
PERL5=/tools/ns-arch/soft/perl-5.004_04/run/default/sparc_sun_solaris2.3/bin/perl5
endif
NSOS_TEST1       := $(shell uname -m)
ifeq ($(OSVER),SunOS5.8)
ifeq ($(NSOS_TEST1), i86pc)
PERL5=perl
else
PERL5=perl
endif
endif
ifeq ($(OSVER),SunOS5.9)
PERL5=/usr/bin/perl
endif
ifeq ($(OSVER),SunOS5.5.1)
PERL5=/tools/ns-arch/soft/perl-5.004_04/run/default/sparc_sun_solaris2.3/bin/perl5
endif
ifeq ($(OSVER), HP-UXB.11.11)
PERL5=/u/robobld/nsperl/hpux/nsperl
endif
ifeq ($(OSVER), HP-UXB.11.00)	
PERL5=/u/robobld/nsperl/hpux/nsperl
endif	
ifeq ($(OSVER), HP-UXB.10.10)	
PERL5=/u/robobld/nsperl/hpux/nsperl
endif
ifeq ($(OSVER), Linux2.1)
PERL5=/usr/bin/perl
endif
ifeq ($(OSVER), Linux2.2)
PERL5=/usr/bin/perl
endif
ifeq ($(OSVER), Linux2.4)
PERL5=/usr/bin/perl
endif
ifeq ($(OSVER), RHEL3)
PERL5=/usr/bin/perl
endif
ifeq ($(OSVER), RHEL4)
PERL5=/usr/bin/perl
endif
